Package org.opensaml.core.xml.schema

# Interface XSAny

All Superinterfaces:
  `AttributeExtensibleXMLObject`, `ElementExtensibleXMLObject`, `XMLObject`

All Known Subinterfaces:
  `AttributeValue`, `AttributeValue`, `AuthnContextDecl`, `SubjectConfirmationData`

All Known Implementing Classes:
  `AttributeValueImpl`, `AttributeValueImpl`, `AuthnContextDeclImpl`, `SubjectConfirmationDataImpl`, `XSAnyImpl`

public interface XSAny extends ElementExtensibleXMLObject, AttributeExtensibleXMLObject
Represents the schema Any type.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

## Method Summary

Modifier and Type
Method
Description
`String`
`getTextContent()`
Gets the text content for the DOM Element.
`void`
`setTextContent(String newContent)`
Sets the text content for the DOM Element.

### Methods inherited from interface org.opensaml.core.xml.AttributeExtensibleXMLObject

`getUnknownAttributes`

### Methods inherited from interface org.opensaml.core.xml.ElementExtensibleXMLObject

`getUnknownXMLObjects, getUnknownXMLObjects`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

## Method Details

### getTextContent

@Nullable String getTextContent()
Gets the text content for the DOM Element.

Returns:
  the text content for the DOM Element, or null

### setTextContent

void setTextContent(@Nullable String newContent)
Sets the text content for the DOM Element.

Parameters:
  `newContent` - the text content for the DOM Element